- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions

# MRenderPassRegistry Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Access the render pass registry.

This class provides a means to register custom render pass definitions with Maya's internal render pass registry. It can also be used to query pass definitions.

`#include <MRenderPassRegistry.h>`

List of all members.

## Static Public Member Functions
static MRenderPassDef | getRenderPassDefinition (const MString &passID, MStatus *ReturnStatus=NULL)
| Retrieve the definition of the specified render pass.
static MRenderPassDef | registerRenderPassDefinition (const MString &passID, const MString &passName, const MString &passGroup, const MString &description, bool overload=false, MStatus *ReturnStatus=NULL)
| Creates a new render pass definition and registers it with the internal render pass registry.
static const char * | className ()
| Returns the name of this class.

## Member Function Documentation

MRenderPassDef getRenderPassDefinition | ( | const MString & | passID,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  | `[static]`

Search for all occurrences

Retrieve the definition of the specified render pass.

Parameters:

  [in] | passID | The ID of the pass
  [out] | ReturnStatus | Status code

Returns:
  The render pass definition if successful

Status Codes:
  - MS::kSuccess The pass definition was successfully retrieved
  - MS::kFailure The internal registry could not be accessed
  - MS::kNotFound The passID does not exist

MRenderPassDef registerRenderPassDefinition | ( | const MString & | passID,
|  | const MString & | passName,
|  | const MString & | passGroup,
|  | const MString & | description,
|  | bool | overload = `false`,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  | `[static]`

Search for all occurrences

Creates a new render pass definition and registers it with the internal render pass registry.

Returns the definition.

Parameters:

  [in] | passID | The ID of the pass
  [in] | passName | The name of the new pass
  [in] | passGroup | The classification of the new pass
  [in] | description | A description of the new pass
  [in] | overload | If true, override any existing pass with the same passID with this pass definiton
  [out] | ReturnStatus | Status code

Returns:
  The render pass definition if successful

Status Codes:
  - MS::kSuccess The pass was created and registered
  - MS::kFailure An object error has occured

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry
MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry MRenderPassRegistry